summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBabak K. Shandiz <babak.k.shandiz@gmail.com>2020-01-29 16:21:40 +0330
committerGitHub <noreply@github.com>2020-01-29 13:51:40 +0100
commit7ff77120c17b83ca1c5d4939d21c1a84a4b2ffbb (patch)
tree53f9d3dda50c86e97c214e66de5e9a3fa7edb7f9
parent64a7f6b38833d007394b9b4bf5d17e48db77c0d7 (diff)
downloadzsh-7ff77120c17b83ca1c5d4939d21c1a84a4b2ffbb.tar.gz
zsh-7ff77120c17b83ca1c5d4939d21c1a84a4b2ffbb.tar.bz2
zsh-7ff77120c17b83ca1c5d4939d21c1a84a4b2ffbb.zip
vscode: use insiders build if stable not found (#8568)
* 🔨 Add calling VS Code Insiders * ✏️ Update README.md
-rw-r--r--plugins/vscode/README.md12
-rw-r--r--plugins/vscode/vscode.plugin.zsh14
2 files changed, 18 insertions, 8 deletions
diff --git a/plugins/vscode/README.md b/plugins/vscode/README.md
index 74b5a45aa..2c6530650 100644
--- a/plugins/vscode/README.md
+++ b/plugins/vscode/README.md
@@ -1,6 +1,6 @@
-# VS code
+# VS Code
-This plugin makes interaction between the command line and the code editor easier.
+This plugin makes interaction between the command line and the VS Code editor easier.
To start using it, add the `vscode` plugin to your `plugins` array in `~/.zshrc`:
@@ -8,9 +8,11 @@ To start using it, add the `vscode` plugin to your `plugins` array in `~/.zshrc`
plugins=(... vscode)
```
-If you are using [Visual Studio Code Insiders](https://code.visualstudio.com/insiders/),
-add the following line in the oh-my-zsh settings section (between the `ZSH_THEME` and
-the `plugins=()` line). This will make the plugin use the Insiders version instead.
+## VS Code Insiders
+
+🍏 **If you are only using [VS Code Insiders](https://code.visualstudio.com/insiders/), the plugin will automatically bind to your Insiders installation.**
+
+But, if you have both Stable and Insiders versions and want to configure the plugin to just use the Insiders version, add the following line in the oh-my-zsh settings section (between the `ZSH_THEME` and the `plugins=()` line). This will make the plugin use the Insiders version instead.
```zsh
ZSH_THEME=...
diff --git a/plugins/vscode/vscode.plugin.zsh b/plugins/vscode/vscode.plugin.zsh
index 4c15df2b0..0144e0baa 100644
--- a/plugins/vscode/vscode.plugin.zsh
+++ b/plugins/vscode/vscode.plugin.zsh
@@ -1,9 +1,17 @@
# VScode zsh plugin
-# author: https://github.com/MarsiBarsi
+# Authors:
+# https://github.com/MarsiBarsi (original author)
+# https://github.com/babakks
-# Use main Visual Studio Code version by default
-: ${VSCODE:=code}
+# Use the stable VS Code release, unless the Insiders version is the only
+# available installation
+if ! which code > /dev/null && which code-insiders > /dev/null; then
+ : ${VSCODE:=code-insiders}
+else
+ : ${VSCODE:=code}
+fi
+# Define aliases
alias vsc="$VSCODE ."
alias vsca="$VSCODE --add"
alias vscd="$VSCODE --diff"